#include "shapes.inc"
#include "colors.inc"
#include "textures.inc"

#default { pigment { Jade scale 4 }}
//#default { pigment { Blue_Agate scale 4 }}
#default { finish { Phong_Dull }}

#declare border_rad = .2
#declare left_side = -5.5
#declare right_side = 5.5
#declare top_side = -.6
#declare bottom_side = .6

box
  {
  < left_side,top_side, -.1 >
  < right_side,bottom_side, .1 >
  }

cylinder
  {
  < left_side,top_side, 0 >
  < right_side,top_side, 0 >
  border_rad
  }

cylinder
  {
  < left_side,bottom_side, 0 >
  < right_side,bottom_side, 0 >
  border_rad
  }

cylinder
  {
  <left_side,top_side, 0 >
  <left_side,bottom_side, 0 >
  border_rad
  }

cylinder
  {
  < right_side,top_side, 0 >
  < right_side,bottom_side, 0 >
  border_rad
  }

camera
  {
  location <0,0,-13>
  look_at <0,.1,0>
  up <0,.18,0>             // only needed for non-square output
  right < .88,0,0 >
  }

light_source { <-6, 0, -13 > color red .4 green .4 blue .4 }
light_source { < 6, 0, -13 > color red .4 green .4 blue .4 }

