#include "shapes.inc"
#include "colors.inc"
#include "textures.inc"

#default { texture { Jade }}
//#default { finish { Shiny }}
#default { finish { Dull }}

plane
  {
  y, -3
  texture
    {
    tiles
      {
      texture { Blue_Agate }
      tile2
      texture { White_Marble }
      }
    rotate <0,35,0>
    scale 10
    }
  }

plane
  {
  y, 30
  texture
    {
    Blue_Sky
    scale 100
    }
  finish { Phong_Dull }
  }

camera
  {
  location <0,3,-15>
  look_at <0,0,0>
  }

light_source
  {
  <0,25,30>  color White
  area_light < 500,0,0 >, <0,0,500>,50,50
  adaptive 0
  jitter

  //spotlight
  //point_at <0,0,50>
  //tightness 0
  //radius 0
  //falloff 24
  }

