#ifndef GAME_H
#define GAME_H
//--------------------------------------------------------------------

#include <theatrix.h>


const int SPEED = 9;

//----------------- messages/netpacks

const int GOT_PUNCHED = 1;
const int GOT_KICKED = 2;
const int ATTACK_BLOCKED = 3;
const int GAME_OVER = 4;
const int IM_WAITING = 10;
const int I_QUIT = 11;

const int FIGHTER_Y = 72;
const int RY1 = FIGHTER_Y;
const int RY2 = FIGHTER_Y + 80;

const int MIN_X = 0;
const int MAX_X = 319;

const int LEFT_START = 100;
const int RIGHT_START = 180;
const int LOC_INC = 2;
const int IMPACT = 10;

const int PUNCHKEY = SCAN_SPACE;
const int KICKKEY = SCAN_INSERT;
const int LEFTKEY = SCAN_LEFT;
const int RIGHTKEY = SCAN_RIGHT;
const int BLOCKKEY = SCAN_B;

enum { WAIT=0,PUNCH,KICK,BLOCK,VICTORY,DEFEAT,HIGH,LOW,OUT,WIN };
const int NUMMODES=WIN+1;

const int LEFTGUY  = 0;
const int RIGHTGUY = 1;

const int BITMAP_WIDTH=50;
const int ITEMS = 3;

//------------------------------------------------------------------
#endif
