#ifndef MENU_H
#define MENU_H
//--------------------------------------------------------------

#include <theatrix.h>
#include "game.h"

class MenuItem : public Performer
  {
public:
  MenuItem(Director* d,int m);
  void initialize();
  void display();
  void play_switch_sound();
private:
  int myimage;
  int x,y;
  };

class Menu : public VideoDirector
  {
public:
  Menu();
 ~Menu();
  const Type_info& get_next_director();
  void initialize();
  void display();
  void on_up(int);
  void on_down(int);
  void on_enter(int);
  void on_escape(int);
  void on_fight(int);
  void on_help(int);
  void on_quit(int);
protected:
  DECLARE_CUELIST
private:
  int cur;
  MenuItem* item[ITEMS+1];
  };

//--------------------------------------------------------------
#endif
