#include <theatrix.h>

const int INC = 4;

class Sprite : public Performer
  {
public:
  Sprite(char* gfxlib,char* sfxlib);
  void initialize();
  void move_to(int x,int y);
  void bounce();
private:
  char gfxlib[13];
  char sfxlib[13];
  int image;
  int w,h;
  int xq[2];
  int yq[2];
  };

class DemoDirector : public VideoDirector
  {
public:
  DemoDirector();
private:
  void display();
  void on_timer();
  void on_esc(int);
private:
  Sprite* moon;
  int x,y;
  int xinc,yinc;
  DECLARE_CUELIST
  };

