// ---------- badguy.h

#ifndef BADGUY_H
#define BADGUY_H

#include "shootout.h"

class BadGuy : public BitPart {
	virtual short int firegun();
	short int hesitation;
	short int skill;
	short int drawbead();
public:
	BadGuy(char *gfxfile);
	void update_position();
	void initialize_bitpart();
	int iscitizen()
		{ return 0; }
};

class BadSadie : public BadGuy	{
public:
	BadSadie() : BadGuy("bsadie.gfx")
		{ }
	virtual ~BadSadie() { }
	short int firegun()
	{
		play_sound_clip(4);
		set_imageno(8);
		setinterval(5);
		return 1;		// shotgun never misses
	}
};

class BadParson : public BadGuy	{
public:
	BadParson() : BadGuy("bparson.gfx")
		{ }
	virtual ~BadParson() { }
};

class BadDeputy : public BadGuy	{
public:
	BadDeputy() : BadGuy("bdeputy.gfx")
		{ }
	virtual ~BadDeputy() { }
};

#endif

