// --------- options.h

#ifndef OPTIONS_H
#define OPTIONS_H

#include "shootout.h"
#include "pointer.h"

class Buttons;

class Options : public SceneDirector	{
	void OnUp();
	void OnDown();
	void OnPlus();
	void OnMinus();
	void display();
	Digit *currdigit(int& lo, int &hi);
	const Type_info& get_next_director()
		{ return typeid(Menu); }
protected:
	DECLARE_CUELIST
public:
	Options();
	~Options();
	Digit *fletchers;
	Digit *aim;
	Digit *resurrections;
	Pointer *pointer;
	Buttons *buttons;
};

class Buttons : public Player {
	enum Mode { up, plus, minus, wait };
	Mode mode;
	void update_position();
	friend class Options;
public:
	Buttons() : Player("options.gfx")
		{ mode = up; }
};

extern Options *options;

#endif

