#ifndef __AlphaMissionScroller_h
#define __AlphaMissionScroller_h

#include "scroller.h"

class AlphaMissionScroller : public ImageScroller
{
  // data
  private:
  protected:
    boolean wrap;     // do we wrap image when we get to the end
    boolean wrapping; // have we started wrapping yet
    int WrapY;        // Y location of wrap image
  public:

  // functions
  private:
  protected:
  public:
    AlphaMissionScroller();
    void initialize();
    virtual void draw(void);

    void SetWrapOn(void);
    void SetWrapOff(void);
};

inline void AlphaMissionScroller::SetWrapOn(void)
{
  wrap=YES;
}

inline void AlphaMissionScroller::SetWrapOff(void)
{
  wrap=NO;
}

#endif //__AlphaMissionScroller_h
