#ifndef __helicopter_h
#define __helicopter_h

#include "plane.h"
#include "rocket.h"

//--------------------------------------
// Helicopter
// the helicopter
// maintains a rocket ( his weapon ) list
// draws itself
//--------------------------------------
class Helicopter : public Plane
{
  // data
  private:
  protected:
    Rocket rocket[15];
  public:

  // functions
  private:
  protected:
  public:
    Helicopter() {}
    void GetNewLocation(void);
    void Setup( Director* director );
    void Reset(void);
    void Move(void);
    void OnDraw(void);
    void FireRocket(void);
    void OnHit(int);
    void initialize();
    void SoundDestroy(void);
};

#endif //__helicopter_h
