#ifndef __plane_h
#define __plane_h

#include "object.h"

//--------------------------------------
// PlaneImage
// enumerations for all Plane Images
//--------------------------------------
enum PlaneImage
{
  BANK_WAY_LEFT, BANK_LEFT, NORMAL, BANK_RIGHT, BANK_WAY_RIGHT, EXPLOSION1, EXPLOSION2, EXPLOSION3
};

//--------------------------------------
// Ship
// the base class for every ship
// maintains a current image index
//--------------------------------------
class Plane : public Object
{
  // data
  private:
  protected:
    int MaxNumShots;
    boolean alive;
    PlaneImage image;
    int ExplosionWidth, ExplosionHeight;
  public:

  // functions
  private:
  protected:
  public:
    Plane() : Object() { image=NORMAL, MaxNumShots=0; }
    virtual void OnDraw(void) {};
    virtual void GetNewLocation(void) {};
    boolean HorizontalProximityCheck( rect me, rect stealth );
    void SetStatus( boolean Alive ) { alive=Alive; }
};

#endif //__plane_h
