#ifndef GAME_H
#define GAME_H

//--------------------------------- messages
const int GAME_OVER = 1;
const int NEXT_LEVEL = 2;
const int ROWS_REMOVED = 3;

//--------------------------------- blocks in each level
const int BLOCK_COUNT = 50;

//--------------------------------- arbitrary unique values
const int LEFT = 1;
const int RIGHT = 2;
const int DOWN = 3;

//--------------------------------- pit dims and location
const int PIT_EDGE = 138;
const int PIT_DEPTH = 15;
const int PIT_WIDTH = 10;

//--------------------------------- sound clips
const int ROWREMOVAL = 1;
const int BLOCKATTACH = 2;

//--------------------------------- statistics locations
const int NUM_X = 95;
const int NUM_Y = 70;
const int LABEL_X = 35;
const int SPC = 20;

#endif
