#ifndef STATS_H
#define STATS_H
//--------------------------------------------------------

#include <theatrix.h>
#include "ndisplay.h"

class Statistics : public Performer
  {
public:
  Statistics(Director*,char* fontlib);
  void initialize();
  void on_next_level(int,int);
  void on_rows_removed(int,int);
  void show_game_over();
  void show();
protected:
  DECLARE_CUELIST
private:
  int removals[4];
  NumericDisplay* leveldisplay;
  NumericDisplay* ndisplay[4];
  char gfxfont[13];
  };

//--------------------------------------------------------
#endif
