// ---------- piece.h

#ifndef PIECE_H
#define PIECE_H

#include <theatrix.h>

class TicTacToe;

class Piece : public Performer	{
	static int XYs[][2];
	void initialize()
		{ load_gfxlib("ttt.gfx"); }
	TicTacToe *board;
public:
	Piece(Director *dir) : Performer(dir), board((TicTacToe*)dir)
		{ }
	void placemarker(int square, int piece);
	void drawline(int i);
};

const int lfx = 75;
const int mdx = 145;
const int btx = 213;
const int tpy = 21;
const int mdy = 87;
const int bty = 159;

#endif

