// ------ timefold.h

#ifndef  TIMEFOLD_H
#define  TIMEFOLD_H

#include "handler.h"
#include "folder.h"

class Hand;

class TimerFolder : public Folder  {
  EventHandler tick[CLOCKTICKS];
  friend class TimerServer;
public:
  TimerFolder() : Folder(tick, CLOCKTICKS) { }
  void add_timer(Hand*,int rate,callback);
  void del_timer(Hand*,int rate,callback);
  void reset();
  void dispatch(int tickno, int, int)
    { tick[tickno].execute_callbacks(); }
};

#endif
