#include <theatrix.h>
#include "ndisplay.h"

class Fighter;

class Card : public Performer
  {
public:
  Card(Director*,int);
  void initialize();
 ~Card();
  void display();
  void update();
protected:
  DECLARE_CUELIST
private:
  void on_punch(int,int);
  void on_kick(int,int);
  void on_block(int,int);
  void game_over(int,int);
private:
  NumericDisplay* punchdisplay;
  NumericDisplay* kickdisplay;
  NumericDisplay* blockdisplay;
  NumericDisplay* knockdisplay;
  int npunches,nkicks,nblocks,nknocks;
  int x;
  int side;
  int card;
  };
