#include "shapes.inc"
#include "colors.inc"
#include "textures.inc"

//#default { pigment { Jade scale 4 }}
#default { pigment { Blue_Agate scale 4 }}
#default { finish { Phong_Dull }}

#declare border_rad = .2
#declare left_side = -8
#declare right_side = 8
#declare top_side = -3
#declare bottom_side = 3

box
  {
  < left_side,top_side, -.1 >
  < right_side,bottom_side, .1 >
  }

cylinder
  {
  < left_side,top_side, 0 >
  < right_side,top_side, 0 >
  border_rad
  }

cylinder
  {
  < left_side,bottom_side, 0 >
  < right_side,bottom_side, 0 >
  border_rad
  }

cylinder
  {
  <left_side,top_side, 0 >
  <left_side,bottom_side, 0 >
  border_rad
  }

cylinder
  {
  < right_side,top_side, 0 >
  < right_side,bottom_side, 0 >
  border_rad
  }

camera
  {
  location <0,0,-13>
  look_at <0,0,0>
  up <0,.55,0>             // only needed for non-square output
  }

light_source { <-6, 0, -13 > color red .4 green .4 blue .4 }
light_source { < 6, 0, -13 > color red .4 green .4 blue .4 }

