#include "shapes.inc"
#include "colors.inc"
#include "textures.inc"

#default { finish { Phong_Dull }}

fog
  {
  color Gray70
  distance 100
  }

difference
  {
box
  {
  <-3,-3,-3>,
  < 3, 3, 3>
  texture
    { 
    tiles 
      {
      texture { Jade }
      tile2
      texture { White_Marble }
      }
    }
  }
sphere
  {
  <3,0,0>,
  2.7
  texture
    { 
    tiles 
      {
      texture { Jade }
      tile2
      texture { White_Marble }
      }
    }
  }
sphere
  {
  <0,3,0>,
  2.7
  texture
    { 
    tiles 
      {
      texture { Jade }
      tile2
      texture { White_Marble }
      }
    }
  }
sphere
  {
  <0,0,-3>,
  2.7
  texture
    { 
    tiles 
      {
      texture { Jade }
      tile2
      texture { White_Marble }
      }
    }
  }
sphere
  {
  <0,0,3>,
  2.7
  texture
    { 
    tiles 
      {
      texture { Jade }
      tile2
      texture { White_Marble }
      }
    }
  }
sphere
  {
  <-3,0,0>,
  2.7
  texture
    { 
    tiles 
      {
      texture { Jade }
      tile2
      texture { White_Marble }
      }
    }
  }
  rotate <0,45,0>
  }

plane
  {
  y, -3
  texture { Jade scale 100 }
  normal { bumps .1 }
  finish { Phong_Dull }
  }

plane
  {
  y, 500
  pigment { Bright_Blue_Sky scale 800 }
  }

camera 
  {
  location <5,4.5,-13>
  look_at <4.5,0,0>
  }

//light_source { <0,0,-10> color red 1 green 1 blue 1 }
//light_source { <10,0,0> color red 1 green 1 blue 1 }
//light_source { <0,10,0> color red 1 green 1 blue 1 }
//light_source { <5,4,-10> color red 1 green 1 blue 1 }
light_source { <-40, 99, -40 > color red .5 green .5 blue .5 }
light_source { <20, 99, -40 > color red .5 green .5 blue .5 }
light_source { <80, 99, -40 > color red .5 green .5 blue .5 }

