#declare Jade_Large = texture { Jade scale 100 normal {bumps .5 }}
#declare Reg_marble = texture  { White_Marble scale 2 }
#declare Large_marble = texture { White_Marble scale 100 }

#declare DEPTH = .008

camera
  {
  location  <-0.363, -0.937, 1.159>
//  direction <0.0,     0.0,  2.4880>
  direction < 0,0,3 >
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <0.000, 0.000, 1.124>
  }

light_source
  {
  <2.602, -5.452, 4.709>
  color rgb <1.000, 1.000, 1.000>
  }

light_source
  {
  <-3.470, -5.576, 4.709>
  color rgb <1.000, 1.000, 1.000>
  }

object        // mound
  {
  sphere { <0,0,0>, 1 }
  texture { DMFDarkOak }
  }

plane         // floor
  {
  z,0
  texture
    {
    Jade
    finish { Phong_Dull }
    }
  translate <0.000000, 0.000000, 0.900000>
  }

plane          // sky
  {
  z,0
  texture { Large_marble }
  translate <0.000000, 0.000000, 10.000000>
  }

difference
  {
cylinder
  {
  < 0,-1,2>,<0,1,2>, 1
  scale <.12,.05,.09>
  translate < 0,0,1.00>
  texture { Reg_marble scale <.1,.1,.1> }
  }
box
  {
  <-1, -1, -1>,
  <1, 1, 1>
  scale <0.12, 0.06, 0.2>
  translate <0.0, 0.0, 1.0>
  texture { Reg_marble scale <.1,.1,.1> }
  }
  }

difference
  {
box
  {
  <-1, -1, -1>,
  <1, 1, 1>
  scale <0.125, 0.05, 0.2>
  translate <0.0, 0.0, 1.0>
  texture { Reg_marble scale <.1,.1,.1> }
  }
height_field
  {
  gif "fight.gif"
  water_level .001
  smooth
  pigment { Black }
  finish { specular .5 roughness FIGHT_ROUGH }
  translate <-.5,-.5,-.5 >
  scale < .19,DEPTH,.09 >
  translate < .02,-.049,1.168 >
  }
height_field
  {
  gif "help.gif"
  water_level .001
  smooth
  pigment { Black }
  finish { specular .5 roughness HELP_ROUGH }
  translate <-.5,-.5,-.5 >
  scale < .19,DEPTH,.07 >
  translate < .02,-.049,1.095 >
  }
height_field
  {
  gif "quit.gif"
  water_level .001
  smooth
  pigment { Black }
  finish { specular .5 roughness QUIT_ROUGH }
  translate <-.5,-.5,-.5 >
  scale < .19,DEPTH,.07 >
  translate < .02,-.049,1.04 >
  }
sphere
  {
  <0,0,0>
  RADIUS
  translate <-.09,-.05,BULLET>

  texture { Reg_marble scale <.1,.1,.1> }
  //pigment { Black }
  //finish { Dull }
  }
  }
