// ----- digit.h
#ifndef DIGIT_H
#define DIGIT_H

#include "theatrix.h"

class Digit : public Player	{
	int num;
public:
	Digit(int n = 0) : Player("digits.gfx")
		{ num = n; }
	Digit& operator++(int) { num++; return *this; }
	Digit& operator--()    { --num; return *this; }
	int getnum()
		{ return num; }
	void update_position()
		{ set_imageno(num+1); }
	void setnum(int n)
		{ num = n; }
};

#endif
