// ------------ doors.cpp

#include "shootout.h"

short int Door::position[][2] = {
	{48,98},
	{145,102},
	{250,102}
};
Door::Door(int dn) : Player("doors.gfx", "sounds.sfx")
{
	doorno = dn;
}

void Door::initialize_door()
{
	set_imageno(doorno);
	setx(position[doorno-1][0]);
	sety(position[doorno-1][1]);
	disappear();
	mode = closed;
}

void Door::update_position()
{
	if (mode == closing)	{
		if (!sound_clip_is_playing())	{
			disappear();
			mode = closed;
			play_sound_clip(doorno+5);
		}
	}
}

