// ------- doors.h

#ifndef DOORS_H
#define DOORS_H

#include "shootout.h"

class Door : public Player	{
	int doorno;
	static short int position[][2];
	enum Mode { closed, closing, opened };
	Mode mode;
	void update_position();
public:
	Door(int dn);
	void initialize_door();
	void open();
	void close();
};

inline void Door::open()
{
	if (mode == closed || mode == closing)	{
		appear();
		mode = opened;
	}
}

inline void Door::close()
{
	if (mode == opened)
		mode = closing;
}

#endif


