#ifndef __AlphaMission_h
#define __AlphaMission_h

#include "mission.h"
#include "menu.h"
#include "amscrolr.h"
#include "stealth.h"
#include "f15.h"
#include "heli.h"
#include "score.h"
#include "lives.h"
#include "health.h"

//--------------------------------------
// AlphaMission
//--------------------------------------
class AlphaMission : public Mission
{
  // data
  private:
  protected:
    AlphaMissionScroller scroller;
    Stealth stealth;
    F15 f15;
    Helicopter helicopter;
    ScoreBoard score;
    Lives lives;
    Health health;
  // functions
  private:
  protected:
  public:
    AlphaMission() {}
    ~AlphaMission();
    const Type_info& get_next_director()  { return typeid(Menu); }
    void OnTimer(void);
    void OnEscape(int);
    void initialize();
    void display();
    void take_over();
    void OnScoreUpdate();
    void OnHealthUpdate();
    void OnStealthHit();
    void OnHelicopterDestroyed();
    void OnF15Destroyed();
    inline void DrawAll(void);
};

#endif //__AlphaMission_h

