#include "options.h"

OptionsScreen::~OptionsScreen()
{
  stop_keystroke_cue( ESCAPE, (callback)&OptionsScreen::onQuit );
  stop_keystroke_cue( ENTER, (callback)&OptionsScreen::onQuit );
}

void OptionsScreen::initialize()
{
  request_keystroke_cue( ESCAPE, (callback)&OptionsScreen::onQuit );
  request_keystroke_cue( ENTER, (callback)&OptionsScreen::onQuit );
}

void OptionsScreen::display()
{
  init_video();
  show_pcx( "options.pcx" );
  swap_video_pages();
}

void OptionsScreen::onQuit(int)
{
  stop_director();
}
