#include <stdlib.h>
#include <string.h>
#include "score.h"
#include "gfx.h"

void ScoreBoard::initialize()
{
  load_gfxlib( "ss.gfx" );
}

void ScoreBoard::add( int points, boolean UpdateScreen )
{
  score+=points;
  if ( UpdateScreen )
    draw();
}

void ScoreBoard::draw(void)
{
  char NumStr[25];
  ltoa( score, NumStr, 10 );
  int len=strlen( NumStr ), tx=x;
  for ( int i=len-1; i>=0; i-- )
  {
    int PicNum=0;
    switch( NumStr[i] )
    {
      case '0': PicNum=num0; break;
      case '1': PicNum=num1; break;
      case '2': PicNum=num2; break;
      case '3': PicNum=num3; break;
      case '4': PicNum=num4; break;
      case '5': PicNum=num5; break;
      case '6': PicNum=num6; break;
      case '7': PicNum=num7; break;
      case '8': PicNum=num8; break;
      case '9': PicNum=num9; break;
    }
    show_image( tx, y, PicNum );
    tx-=10;
  }
}

