#include <theatrix.h>
#include <io.h>
#include <iostream.h>
#include "ss.h"
#include "menu.h"
#include "intro.h"
#include "help.h"
#include "alpha.h"

class SkyScrap : public Theatrix {
public:
  SkyScrap() : Theatrix("SkyScrap") {
    intro=new IntroScreen;
    menu=new Menu;
    help=new HelpScreen;
    alpha=new AlphaMission;
  }
  ~SkyScrap() {
    delete intro;
    delete menu;
    delete help;
    delete alpha;
  }
  IntroScreen* intro;
  Menu* menu;
  HelpScreen* help;
  AlphaMission* alpha;
};

void main()
{
    SkyScrap *ss = new SkyScrap;
    ss->use_video_mode(VMODE);
    ss->enable_joystick();
    ss->go(typeid(IntroScreen));
    delete ss;
}

