#ifndef MENU_H
#define MENU_H
//--------------------------------------------------------

#include <theatrix.h>
#include "game.h"


class MenuItem : public Performer
  {
public:
  MenuItem(Director* d,char* libname,int x,int y);
  void initialize();
  void update(); 
private:
  char libname[13];
  int x,y;
  int image;
  int numimages;
  };

class Menu : public VideoDirector
  {
public:
  Menu();
  void display();
  void initialize();
  const Type_info& get_next_director();
private:
  void on_escape(int);
  void on_timer();
  void on_key(int);
private:
  MenuItem* item[3];
  int cur;
  };

//--------------------------------------------------------
#endif
